package com.tmoney.aidl;

/**
 * 콜백으로 구현하고 싶은 메소드를 추가한다.
 */
oneway interface ITMoneyBillingServiceCallback {
    void init();

    /**
     * balance
     *
     * @param resultCode(-1: 실패, 0: 성공, 나머지...)
     */
    void onBalance(int resultCode, in Bundle bundle);
    
    /**
     * billing 상태
     *
     * @param id(구분자 id)
     * @param state(0: init, 1: start, 2: finished)
     * @param billingGubun(0: purchase, 1: load, 2: 조회)
     * @param resultCode(-1: 실패, 0: 성공, 나머지...)
     */
    void onBillingState(int id, int state, int billingGubun, int resultCode, String resultMessage, in Bundle bundle);
}